#
# spec file for package surf (Version 1.0.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel gmp gpp gppshare gtk gtk-devel libgpp libjpeg libtiff libz xf86 yacc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gmp gpm gpp gppshare grep groff gtk gtk-devel gzip kbd less libgpp libjpeg libtiff libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared yacc

Name:         surf
Copyright:    GPL
Group:        X11/Applications/Graphics
Autoreqprov:  on
Version:      1.0.3
Release:      48
Summary:      Visualisation of real algebraic geometry
URL:          http://surf.sourceforge.net
Source:       http://prdownloads.sourceforge.net/surf/surf-%{version}.tar.bz2
Patch:        surf-%{version}.dif

%description
This program was used to generate the pictures on the SuSE covers.

Authors:
--------
    Stephan Endrass <endrass@mathematik.uni-mainz.de>

SuSE series: gra

%prep
%setup
%patch

%build
%{?suse_update_config}
./configure --prefix=/usr --mandir=%{_mandir}
make all

%install
make install
cp -a examples /usr/share/surf

%files
%doc docs/*.html
%doc COPYING README NEWS TODO
/usr/share/surf
/usr/bin/surf
%doc /usr/share/man/man1/surf.1.gz

%changelog -n surf
* Tue Aug 28 2001 - schwab@suse.de
- Fix missing declarations.
* Tue Aug 21 2001 - ro@suse.de
- added suse-update-config
* Mon Aug 06 2001 - ro@suse.de
- update to 1.0.3
* Fri Apr 20 2001 - ro@suse.de
- added includes to compile on ia64
* Mon Mar 26 2001 - ro@suse.de
- changed neededforbuild <xv32dev> to <xview-devel>
- changed neededforbuild <xv32slib> to <xview>
* Mon Sep 25 2000 - ro@suse.de
- sorted
* Mon Jan 24 2000 - ro@suse.de
- fixed to compile
- man to usr/share
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 24 1998 - ro@suse.de
- minor hacks to compile with glibc and egcs
* Wed Sep 16 1998 - ro@suse.de
- update to version 0.91
* Tue Oct 21 1997 - ro@suse.de
- ready for autobuild
* Tue Apr 22 1997 - choeger@suse.de
- fixed dif
- recompiled package
* Mon Feb 10 1997 - bs@suse.de
  new version 0.8.1
* Thu Jan 02 1997 - bs@suse.de
- html docu fixed
- moved to series gra1
  ChangeLog fr <surf>
  =========================
  * <Sat Aug 31 03:53:40 MET DST 1996>:
  erste Version 0.8
